package com.dayou.enums;

public enum MenuTypeEnum implements CodeMsgEnumInterface<String,String>{
    MENU("菜单",null),
    BUTTON("按钮",null),
    DIRECTORY("目录",null),
    ;

    MenuTypeEnum(String type, String msg) {
        this.type = type;
        this.msg = msg;
    }

    private String type;
    private String msg;
    @Override
    public String getCode() {
        return type;
    }

    @Override
    public String getMsg() {
        return msg;
    }
}
